Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalIconFactory.FileIcon16

    java.lang.Object
      |
      +--javax.swing.plaf.metal.MetalIconFactory.FileIcon16

Direct Known Subclasses:
  MetalIconFactory.TreeLeafIcon

public static class MetalIconFactory.FileIcon16
extends java.lang.Object
implements Icon, java.io.Serializable

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Constructor Summary
`MetalIconFactory.FileIcon16()`

Method Summary
`int` | `getAdditionalHeight()`
`int` | `getIconHeight()`
`int` | `getIconWidth()`
`int` | `getShift()`
`void` | `paintIcon(java.awt.Component c, java.awt.Graphics g, int x, int y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalIconFactory.FileIcon16

    public MetalIconFactory.FileIcon16()

Method Detail

### paintIcon

    public void paintIcon(java.awt.Component c,
                          java.awt.Graphics g,
                          int x,
                          int y)

  Specified by:
    paintIcon in interface Icon

### getShift

    public int getShift()

### getAdditionalHeight

    public int getAdditionalHeight()

### getIconWidth

    public int getIconWidth()

  Specified by:
    getIconWidth in interface Icon

### getIconHeight

    public int getIconHeight()

  Specified by:
    getIconHeight in interface Icon

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.